<template>
  <v-app style="background-color: #8c9eff" dark>
    <v-container class="fill-height" fluid>
      <v-row align="center" justify="center">
        <v-col cols="12" md="8">
          <v-card class="elevation-12">
            <v-window v-model="step">
              <v-window-item :value="1">
                <v-row>
                  <v-col cols="12" md="8">
                    <v-card-text class="mt-12">
                      <h1
                        class="text-center display-2 indigo--text text-accent-3"
                      >
                        เข้าสู่ระบบ iExpenses
                      </h1>
                      <div class="text-center mt-4">
                        <v-tooltip top>
                          <template v-slot:activator="{ on, attrs }">
                            <v-btn
                              v-bind="attrs"
                              v-on="on"
                              @click="siginFacebook"
                              class="mx-2"
                              fab
                              small
                              color="black"
                              outlined
                            >
                              <v-icon>mdi-facebook</v-icon>
                            </v-btn>
                          </template>
                          <span>ยังไม่เปิดให้บริการ</span>
                        </v-tooltip>

                        <v-btn
                          @click="siginGoogle"
                          class="mx-2"
                          fab
                          small
                          color="grow"
                          outlined
                        >
                          <v-icon>mdi-google-plus</v-icon>
                        </v-btn>
                      </div>
                      <h4 class="text-center mlt-4 mt-4">
                        เข้าสู่ระบบด้วย E-mail ของคุณ
                      </h4>
                      <signIN />
                    </v-card-text>
                  </v-col>
                  <v-col cols="12" md="4" class="indigo accent-3">
                    <v-card-text class="white--text mt-12">
                      <h1 class="text-center display-1">สวัสดี</h1>
                      <h5 class="text-center mt-1">
                        กรอกข้อมูลรายละเอียดข้อมูลส่วนตัวคุณ
                        และคุณสามารถร่วมใช้งานระบบของเรา
                      </h5>
                    </v-card-text>
                    <div class="text-center mt-1">
                      <v-btn rounded outlined="" dark @click="step++">
                        สมัครสมาชิก
                      </v-btn>
                    </div>
                  </v-col>
                </v-row>
              </v-window-item>
              <v-window-item :value="2">
                <v-row>
                  <v-col cols="12" md="4" class="indigo accent-3">
                    <v-card-text class="white--text mt-12">
                      <h1 class="text-center display-1">ยินดีตอนรับ</h1>
                      <h5 class="text-center mt-1">
                        ระบบจัดการค่าใช่จ่ายในชีวิตประจำวันของคุณ
                        หรือต้นทุนของสินค้าที่คุณผลิต
                        พร้อมกับกราฟวิเคราะห์ข้อมูล อื่นๆอีกมากมาย กลับสู่หน้า
                        Login เพื่อเข้าร่วมใช่งานระบบของเรา
                      </h5>
                    </v-card-text>
                    <div class="text-center mt-1">
                      <v-btn rounded outlined="" dark @click="step--">
                        เข้าสู่ระบบ
                      </v-btn>
                    </div>
                  </v-col>
                  <v-col cols="12" md="8">
                    <v-card-text class="mt-12">
                      <h1
                        class="text-center display-2 indigo--text text-accent-3"
                      >
                        สร้างบัญชีของคุณ
                      </h1>
                      <div class="text-center mt-4">
                        <v-tooltip top>
                          <template v-slot:activator="{ on, attrs }">
                            <v-btn
                              v-bind="attrs"
                              v-on="on"
                              @click="siginFacebook"
                              class="mx-2"
                              fab
                              small
                              color="black"
                              outlined
                            >
                              <v-icon>mdi-facebook</v-icon>
                            </v-btn>
                          </template>
                          <span>ยังไม่เปิดให้บริการ</span>
                        </v-tooltip>
                        <v-btn
                          @click="siginGoogle"
                          class="mx-2"
                          fab
                          small
                          color="grow"
                          outlined
                        >
                          <v-icon>mdi-google-plus</v-icon>
                        </v-btn>
                      </div>
                      <h4 class="text-center mlt-4 mt-4">สมัครสมาชิก</h4>
                      <signUP />
                    </v-card-text>
                  </v-col>
                </v-row>
              </v-window-item>
            </v-window>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </v-app>
</template>
<script>
import signIN from '@/components/formLogin/signin'
import signUP from '@/components/formLogin/signup'
import { auth, googleProvider, facebookProvider } from '@/services/firebase'
import Swal from 'sweetalert2'

export default {
  layout: 'blog',
  components: {
    signIN,
    signUP,
  },
  data: () => ({
    step: 1,
  }),
  props: {
    source: String,
  },
  methods: {
    async siginGoogle() {
      const userGoogle = await auth.signInWithPopup(googleProvider)

      this.$store
        .dispatch('loginGoogle', userGoogle, { root: true })
        .then(() => {
          this.$router.push('/iexpenses')
        })
        .catch((error) => {
          setTimeout(() => {
            console.log('Error :', error.code)
          }, 2000)
        })
    },
    async siginFacebook() {
      Swal.fire({
        icon: 'warning',
        title: 'ขออภัย...',
        text: 'การ Login ผ่าน Facebook ยังไม่เปิดให้บริการ',
      })
      // const userFacebook = await auth.signInWithPopup(facebookProvider)
      // this.$store
      //   .dispatch('loginGoogle', userFacebook, { root: true })
      //   .then(() => {
      //     this.$router.push('/iexpenses')
      //   })
      //   .catch((error) => {
      //     setTimeout(() => {
      //       console.log('Error :', error.code)
      //     }, 2000)
      //   })
    },
  },
}
</script>
